Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
matmaas
Posts: 6
Registered: ‎08-07-2009
My Device: Storm 9500

Enable Generics in JDE with -source 5

I have developed a application for BB storm and made a build with JDE 4.7.0.41

The application works perfect. Now I am maintaing the application to make it work for the new BB Tour. So I maintained the application and try to make a new build. But now I get the following message:

(use -source 5 or higher to enable generics)
        Vector<Integer> combinationVector = new Vector<Integer>();
              ^
1 error
Error!: Error: java compiler failed: javac -source 1.3 -target 1.3 -g -O -d C:\DOCUME~1\MAT~1.LAP\LOCALS~1\Temp\rapc_2e370750.dir -bootc ...
Error while building project

 

I don't know what this means. Can somebody help me.

Please use plain text.
Developer
richard_puckett
Posts: 191
Registered: ‎04-03-2008
My Device: Bold 9700

Re: Enable Generics in JDE with -source 5

Generics aren't supported in Java 1.3 or on BlackBerries.  If you're copying and pasting code that includes generics you'll need to port it so it will work w/o them (in a nutshell, just use casting instead).
Please use plain text.
New Developer
matmaas
Posts: 6
Registered: ‎08-07-2009
My Device: Storm 9500

Re: Enable Generics in JDE with -source 5

I already see what I did wrong. I included a piece of code that should not be in.

Sorry for the inconvenience but many thanks for the quick response.

Please use plain text.